class ProjectsController < ApplicationController

  def index
    render json: current_user.projects
  end

  def create
    render json: Project.add_project(current_user, params[:name])
  end

  def show
    render json: current_user.projects.find(params[:id])
  end

  def update
    project = current_user.projects.find(params[:id])
    project.update!(safe_params)
    render json: project
  end

  def destroy
    render json: current_user.projects.find(params[:id]).destroy!
  end

  def jobs
    render json: current_user.projects.find(params[:project_id]).jobs
  end

  def branches
    render json: current_user.projects.find(params[:project_id]).branches, root: :jobs
  end

  protected

  def safe_params
    params.require(:project).permit!
  end

end
