class Event
  attr_accessor :name, :project, :data

  def initialize(data)
    @data = data
    @name = data[:name]
    @project = data[:project_id] ? Project.find(data[:project_id]) : nil
  end

  def execute
    return nil unless project.enabled_pipelines

    project.enabled_pipelines.each do |pipeline_definition|
      if pipeline_definition.constantize.trigger_when?(self)
        PipelineRunnerJob.perform_later(nil, self.data, pipeline_definition)
      end
    end
  end

  def as_json
    data
  end

end
