# Job Spec:
# {
#   sections: [
#     { name: "name", on_success: [], on_failure: [], commands: [], fail_on_err: true }
#   ],
#   services: [
#     { name: "", docker: { ... } }
#   ],
#   repo: {
#     name: "repo",
#     owner: "repo-owner",
#     commit: "abcdefg",
#     branch: "feature/x",
#     provider: "github.com",
#   }
# }
#
class Job < ApplicationRecord
  belongs_to :pipeline
  has_one :project, through: :pipeline
  after_save { pipeline.run if status_changed? }

  def self.pop
    Job.where(status: 'PENDING').limit(1).update(worker: worker).first
  end

end
