class Pipeline < ApplicationRecord
  belongs_to :project, optional: true
  has_many :jobs

  def definition_class
    @definition_class ||= definition.constantize
  end

  def status?(is)
    status && status.upcase == is.to_s.upcase
  end

  def run(event=nil)
    PipelineRunnerJob.perform_later(self, event)
  end

  def event
    @event ||= Event.new(super)
  end

end
