Rails.application.routes.draw do
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html

  get 'auth/:provider/callback' => 'sessions#create'

  resources :pipelines, only: [:show, :index]

  resources :projects do
    get 'jobs'
    get 'branches'
  end

  resources :jobs, only: [:index, :show]
  post 'jobs/pop'    => 'jobs#pop'
  post 'jobs/status' => 'jobs#job_status'

  get '/current_user' => 'users#current'
  get '/users' => 'users#index'
  get '/teams' => 'users#teams'

  post '/hooks/github' => 'hooks#github'

end
